%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name ghc-events
%define f_pkg_name ghc-events
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.2.0.1
Release: alt6
License: BSD3
Packager: Denis Smirnov <mithraen@altlinux.ru>
Group: Development/Haskell
URL: ???
Source: %name-%version.tar
Summary: Library and tool for parsing .eventlog files from GHC
# Automatically added by buildreq on Fri Sep 10 2010
BuildRequires: ghc-alex ghc-binary ghc(Cabal) ghc-happy ghc(mtl)

BuildRequires: ghc
BuildRequires(pre): rpm-build-haskell



%description
Parses .eventlog files emitted by GHC 6.12.1 and later. Includes the
show-ghc-events tool to dump an event log file as text.

%prep
%setup

%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE examples

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
#%%doc LICENSE examples

%changelog
* Thu Mar 03 2011 Denis Smirnov <mithraen@altlinux.ru> 0.2.0.1-alt6
- rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.2.0.1-alt5
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.2.0.1-alt4
- auto rebuild

* Fri Sep 10 2010 Denis Smirnov <mithraen@altlinux.ru> 0.2.0.1-alt1
- Spec created by cabal2rpm 0.20_08
